using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace JellyfinRPC
{
    public partial class Form3 : Form
    {
        public Form3()
        {
            InitializeComponent();
        }

        private void label1_Click(object sender, EventArgs e)
        {

        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
            Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            button3.PerformClick();
            this.DialogResult = DialogResult.OK;
            Close();
        }

        private void Form3_Load(object sender, EventArgs e)
        {
            textBox1.Text = ConfigManager.GetEntry("DiscordClientID");
        }

        private void button3_Click(object sender, EventArgs e)
        {
            ConfigManager.SetEntry("DiscordClientID", textBox1.Text);
        }
    }
}
